#ifndef CODE_EASYDIALOGP_H
#define CODE_EASYDIALOGP_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * ($Id: easy_dialog_p.h,v 1.1.1.1 1998/07/16 19:29:27 cvs Exp $)
 * 
 * Copyright (C) 1998 Jrgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/Xdisplay.h>
#include <Xclasses/group.h>
#include <Xclasses/spacegroup.h>
#include <Xclasses/ruler.h>
#include <Xclasses/text.h>
#include <Xclasses/button.h>
#include <Xclasses/appwindow.h>
#include <Xclasses/image.h>

class peasy_dialog
{
	friend class easy_dialog;

public:
	class easy_dialog *o;

	group	maingp;
	spacegroup	butgp,txtgp;
	ruler	rlr;
	text	txt;
	appwindow aw;
	image	img;
	button	*b;
	char	*bt;
	gfx_object	*gfx;

	char	*opt;
	char	*font;

    peasy_dialog();
    ~peasy_dialog();
};

#endif
