#ifndef CODE_CARDP_H
#define CODE_CARDP_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * ($Id: card_p.h,v 1.1.1.1 1998/07/16 19:29:29 cvs Exp $)
 * 
 * Copyright (C) 1998 Jrgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/card.h>
#include <Xclasses/gadget.h>
#include <Xclasses/group.h>
#include <Xclasses/gfx_text.h>

#define BUTWIDTH	10
#define BUTHEIGHT	10
#define BX			4
#define BY			4
#define TOPDOWN		2

struct cards
{
	class group *gp;
	gfx_text	name;
	int			x1,y1;
	int			y2,x2;
};

class pcard
{
	friend class card;

public:
	class card *o;

	int				key:1,
					free:1;
	int 			anzahl;
	int				groesse;
    int 			selected;
    int				sel;
    struct cards	*allcards;
    int				bw1,bw2,bh1,bh2;

    pcard();
    ~pcard();

	void draw(void);
	void kborder(void);
	void nkborder(void);
};

#endif
