#ifndef XCLASSES_ALLCONFIG_H
#define XCLASSES_ALLCONFIG_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * ($Id: allconfig.h,v 1.2 2000/01/19 14:56:59 schmitzj Exp $)
 * 
 * Copyright (C) 1998 Jrgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

// ===================================================================
// Defines fr verschiedene Systeme
// -------------------------------------------------------------------

// - SunOS -----------------------------------------------------------
#ifdef __SunOS__
#define exit _exit
#endif
// -------------------------------------------------------------------

// - AIX -------------------------------------------------------------
#ifdef __AIX__
#include <sys/select.h>
#define NOSTRCASECMP
int strcasecmp(const char *s1,const char *s2);
#endif
// -------------------------------------------------------------------

// - IRIX ------------------------------------------------------------
#ifdef __IRIX__
#define BSTRING
#endif
// -------------------------------------------------------------------

// - Linux -----------------------------------------------------------
#ifdef __Linux__
//#define BSTRING
#endif
// -------------------------------------------------------------------

// -------------------------------------------------------------------
// gemeinsame Defines 
// -------------------------------------------------------------------

#ifdef BSTRING
#include <bstring.h>
#else
#include <string.h>
#endif

#ifndef CONFIGSDIR
#define CONFIGSDIR	"/usr/lib/X11/Xclasses"
#endif

#endif
