#ifndef CODE_TEXTP_H
#define CODE_TEXTP_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * ($Id: text_p.h,v 1.1.1.1 1998/07/16 19:29:30 cvs Exp $)
 * 
 * Copyright (C) 1998 Jrgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/gfx_text.h>
#include <Xclasses/gfx_autotext.h>

class ptext
{
	friend class text;

public:
	class text *o;

	gfx_text text;
	gfx_autotext atext;
	int left;
	int top;
	int autof:1,
		fixedtext:1,
		nounderscore:1,
		free:1;

    ptext();
    ~ptext();
    
    void Clear(void);
};

#endif
