#ifndef CODE_LEFTTEXTP_H
#define CODE_LEFTTEXTP_H

/*-----------------------------------------------------------------------
 * Xclasses header file
 * ($Id: lefttext_p.h,v 1.2 2001/10/22 17:32:25 schmitzj Exp $)
 * 
 * Copyright (C) 1998 Jrgen Schmitz
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 *-----------------------------------------------------------------------
 */

#include <Xclasses/Xdisplay.h>
#include <Xclasses/lefttext.h>
#include <Xclasses/gadget.h>
#include <Xclasses/Xcolors.h>
#include <Xclasses/gfx_text.h>
#include <Xclasses/group.h>

class plefttext
{
	friend class lefttext;
	class lefttext *o;

public:
    gfx_text text;
	gadget 	*gg;
	group	*gp;
	gadget	*lgg;
	group	*lgp;
    
    plefttext();
    ~plefttext();
};

#endif
